using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XF.Domain.Authentications
{
    public interface ISessionContextProvider
    {
        public ISessionContext SessionContext { get; set; }

        public void SetContext(string key);

        public void SetContext(ISessionContext sessionContext);
    }
}
